Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.logical.shared
Interface BeforeSelectionHandler<T>

Type Parameters:
  `T` - the type about to be selected

All Superinterfaces:
  EventHandler

    public interface BeforeSelectionHandler<T>

extends EventHandler

Handler interface for `BeforeSelectionEvent` events.

Method Summary
`void` | `onBeforeSelection(BeforeSelectionEvent<T> event)` Called when `BeforeSelectionEvent` is fired.

Method Detail

### onBeforeSelection

    void onBeforeSelection(BeforeSelectionEvent<T> event)

  Called when `BeforeSelectionEvent` is fired.

  Parameters:
    `event` - the `BeforeSelectionEvent` that was fired

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD